## com.ericsson.otp.ic
Class DoubleHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.DoubleHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class DoubleHolder
extends java.lang.Object
implements Holder

Holder class for Double, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`double` `value`

Constructor Summary
`DoubleHolder()`
`DoubleHolder(double initial)`

Method Summary
`boolean` `equals(double d)` Comparisson method for Doubles.
`boolean` `equals(java.lang.Object obj)` Comparisson method for Doubles.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public double value

Constructor Detail

### DoubleHolder

    public DoubleHolder()

### DoubleHolder

    public DoubleHolder(double initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Doubles.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(double d)

  Comparisson method for Doubles.
  Returns:
    true if the input double value equals the value of the current object, false otherwize

Copyright © 1991-2007 Ericsson AB